DCMTK - Feature #198

Unterstuetzung fuer TCP-Wrapper
2003-05-16 00:00 - Marco Eichelberg

Status: New

Priority: Low

Assignee:

Category:

Target version:

Module: dcmnet, demqgrdb, decmwlm, dempstat, ...
(alle SCPs)

Operating System:

Start date:
Due date:

% Done:

Estimated time:

Compiler:

50%
0:00 hour

Description
Status: teilweise erledigt

Es kdénnte sinnvoll sein, in DCMTK Unterstutzung far TCP-Wrapper

einzubauen, so dafB auch unsere Tools die Zugriffsrechte
in /etc/hosts.deny und /etc/hosts.allow unterstiitzen.

Dafiir gibt es libwrap.a und <tcpd.h> als Headerfile.
Siehe manpage host_access(3) auf Caesar.

Entsprechende Optionen sind in alle SCPs einzubauen:

network host access control (tcp wrapper) options:

—-—access—full accept connections from any host

——access-control enforce host access control rules

Erledigt fUr: storescp, imagectn, movescu, wimscpfs, ppsscpdb, ppsscpfs, wimscpki, wimscpdb, pawscpdb, pawscpfs.

(default)

Nicht erledigt fir: * dempsrcv, dcmprscp (hier in die Konfigurationsdatei einpflegen) * demprint (tcpsrv) (hier in die

Konfigurationsdatei einpflegen)

History

#1 - 2013-09-12 21:58 - J6rg Riesmeier
- % Done changed from 0 to 50

- Module changed from dcmnet, imagectn, demwlm, decmpstat, ... (alle SCPs) to demnet, demqrdb, demwim, dempstat, ... (alle SCPs)
